Update pdf.js to version 1.0.1040

Bug #1384478 reported by Robert Lyon on 2014-10-22
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Mahara
Medium
Robert Lyon

Bug Description

Currently at 1.0.21 latest stable version 1.0.712

Changed in mahara:
status: New → Confirmed
importance: Undecided → Medium
milestone: none → 15.04.0
Robert Lyon (robertl-9) on 2014-11-04
Changed in mahara:
assignee: nobody → Robert Lyon (robertl-9)
Robert Lyon (robertl-9) wrote :

There is a new item in the pdf.js dealing with pdf attachments

Changed in mahara:
status: Confirmed → In Progress

Do we have ongoing bugs for upgrading these third party library?

Aaron Wells (u-aaronw) wrote :

I prefer to have a separate bug report for each specific version upgrade. That way we can mark it "closed" when it's done, and it's easier to keep track of it.

Son Nguyen (ngson2000) wrote :

I updated the patch for the latest version of pdf.js (1.0.1040)

summary: - Update pdf.js to version 1.0.712
+ Update pdf.js to version 1.0.1040
Mahara Bot (dev-mahara) wrote :

Patch for "master" branch: https://reviews.mahara.org/4278

Reviewed: https://reviews.mahara.org/3907
Committed: http://gitorious.org/mahara/mahara/commit/e9a2cd73f52ffd12984af4ab55cc8ca005f93161
Submitter: Son Nguyen (<email address hidden>)
Branch: master

commit e9a2cd73f52ffd12984af4ab55cc8ca005f93161
Author: Robert Lyon <email address hidden>
Date: Wed Nov 5 10:41:32 2014 +1300

Update pdf.js to version 1.0.1040 (Bug #1384478)

Change-Id: I386e7b25914c66037cd779a824ac0afae5813763
Signed-off-by: Robert Lyon <email address hidden>

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/4276
Committed: http://gitorious.org/mahara/mahara/commit/0f1b229c99fe709e387f670db85735eee349a004
Submitter: Son Nguyen (<email address hidden>)
Branch: master

commit 0f1b229c99fe709e387f670db85735eee349a004
Author: Son Nguyen <email address hidden>
Date: Fri Feb 13 14:39:10 2015 +1300

Fix the template to use minified js. Bug 1384478

Change-Id: I96a2108cd9269acc8584c8dd994cc773a293cbc9

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/4278
Committed: http://gitorious.org/mahara/mahara/commit/56cb08dd3b0263a85b5e3d7ff4d7aa4072a282f7
Submitter: Son Nguyen (<email address hidden>)
Branch: master

commit 56cb08dd3b0263a85b5e3d7ff4d7aa4072a282f7
Author: Robert Lyon <email address hidden>
Date: Mon Feb 16 15:18:25 2015 +1300

pdf.js uses pdfViewer class for some of it's styles now (Bug #1384478)

so we need to add the class to the template we use

Change-Id: I3a9dc0bdd80133f530c84f0782438939fe52d01e
Signed-off-by: Robert Lyon <email address hidden>

Son Nguyen (ngson2000) on 2015-03-09
Changed in mahara:
status: In Progress → Fix Committed
Robert Lyon (robertl-9) on 2015-04-17
Changed in mahara:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers